### Function

# Gcr secure_memory_free

#### Declaration [src]

    void
    gcr_secure_memory_free (
      gpointer memory
    )

#### Description [src]

Free a block of non-pageable memory.

Glib memory is also freed correctly when passed to this function. If called with a `NULL` pointer then no action is taken.

This function is not directly available to language bindings.

#### Parameters

`memory`

  Type: `gpointer`

  Pointer to the beginning of the block of memory to free.

  The argument can be `NULL`.
  The data is owned by the caller of the function.